# imageio.plugins.tifffile_v3.TifffilePlugin.properties

TifffilePlugin.properties(*, index: int = None, page: int = None) → ImageProperties

  Standardized metadata.

  The properties returned depend on the value of both `index` and `page`. `index` selects a series and `page` allows selecting a single page from the selected series. If `index=Ellipsis`, `page` is understood as a flat index, i.e., the selection ignores individual series inside the file. If `index=Ellipsis` and `page=None` then global (file-level) properties are returned. If `index=Ellipsis` and `page=...`, file-level properties for the flattened index are returned.

  Parameters:
    index int

      If `int`, select the ndimage (series) located at that index inside the file. If `Ellipsis` and `page` is `int` extract the properties of the page located at that (flat) index inside the file. If `Ellipsis` and `page=None`, return the properties for the batch of all ndimages in the file.

    page int

      If `None` return the properties of the full ndimage. If `...` return the properties of the flattened index. If `int`, return the properties of the page at the selected index only.

  Returns:
    image_properties ImageProperties

      The standardized metadata (properties) of the selected ndimage or series.

previous

imageio.plugins.tifffile_v3.TifffilePlugin.write

next

imageio.plugins.tifffile_v3.TifffilePlugin.metadata